Bug 1185297 (CVE-2021-31804)

Summary: VUL-1: CVE-2021-31804: leocad: use-after-free during the opening of a new document
Product: [openSUSE] openSUSE Distribution Reporter: Robert Frohl <rfrohl>
Component: SecurityAssignee: andy great <andythe_great>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P4 - Low    
Version: Leap 15.3   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/282884/
Whiteboard:
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Robert Frohl 2021-04-26 16:02:43 UTC
CVE-2021-31804

LeoCAD before 21.03 sometimes allows a use-after-free during the opening of a
new document.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-31804
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-31804
https://github.com/leozide/leocad/issues/645
Comment 1 Robert Frohl 2021-04-26 16:03:02 UTC
already fixed in openSUSE:Factory, closing
Comment 2 andy great 2021-05-16 14:21:12 UTC
close